## kdepim-runtime 4.4.6

=== debian/changelog ===
kdepim-runtime (4:4.4.6-0ubuntu1) maverick; urgency=low

  [ Rohan Garg ]
  * New upstream release
  * Convert to source format 3.0

  [ Alessandro Ghersi ]
  * Bump build-dependencies

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 10 Sep 2010 17:31:34 +0530

kdepim-runtime (4:4.4.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 14:00:53 +0100

kdepim-runtime (4:4.4.4-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump build-depends
    - Bump soname in kdepim-runtime.install
  * Switch to dpkg-source 3.0 (quilt) format
    - Remove README.source no longer need

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 08 Jun 2010 19:57:47 +0200

kdepim-runtime (4:4.4.3-1ubuntu1) maverick; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Keep versioned boost build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 20 May 2010 22:33:10 +0200

kdepim-runtime (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:56 +0300

kdepim-runtime (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release
    - Bump KDE build-depends to 4.4.3

 -- Christian Mangold <neversfelde@ubuntu.com>  Fri, 30 Apr 2010 23:00:56 +0200

kdepim-runtime (4:4.4.2-1) experimental; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add myself as uploader.
  * Fix Vcs-Browser URL.
  * Bump Standards-Version to 3.8.4: no changes neeeded.
  * Bump KDE build dependencies to 4:4.4.
  * Drop libknotificationitem-1-dev from Build-depends. No longer needed.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Bump akonadi build dependency to 1.3.0.
  * Add new build depends:
    - libstreamanalyzer-dev;
    - shared-mime-info (>= 0.30);
    - shared-desktop-ontologies (>= 0.2);
  * Add lintian overrides.
  * Add README.source.
  * Switch kdepim-runtime-dbg section to debug and priority to extra.
  * Make kdepim-runtime depend on the kdepimlibs-kio-plugins package.
  * Make kdepim-runtime depend on akonadi-server (>= 1.3).
  * Make kdepim-runtime break kdepimlibs5 (<< 4:4.4).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:01 +0300

kdepim-runtime (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Mar 2010 14:48:17 +0100

kdepim-runtime (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dependends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 27 Feb 2010 05:11:37 +0100

kdepim-runtime (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-dependends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 20:25:45 +0100

kdepim-runtime (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Christian Mangold ]
  * New upstream release candidate
    - Bump build dep versions

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Christian Mangold <neversfelde@ubuntu.com>  Mon, 01 Feb 2010 22:52:14 +0100

kdepim-runtime (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 13:24:58 +0100

kdepim-runtime (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 18:57:08 -0500

kdepim-runtime (4:4.3.85-0ubuntu2) lucid; urgency=low

  * Remove debian/patches/* to fix FTBFS due to lack of quilt build-dep

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Dec 2009 09:19:25 -0500

kdepim-runtime (4:4.3.85-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Bump build-depend versions
    - Remove kubuntu_01_akonadiconsole_to_system.diff, akonadiconsole removed
      upstream
    - Update kdepim-runtime.install

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 16:47:43 -0500

kdepim-runtime (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release:
    - Refresh all patches
    - Bump build-depend versions
    - Remove build-depend on libknotificationitem-dev, it's part of
      kdelibs5-dev now
    - Add build-depend on shared-desktop-ontologies for nepomuk support
    - Add build-depend on libstreamanalyzer-dev for strigi support
    - Add build-depend on libx11-dev to prevent FTBFS
    - Update various .install files

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 03 Dec 2009 15:38:40 -0500

kdepim-runtime (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:11 +0200

kdepim-runtime (4:4.3.3-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:01 +0000

kdepim-runtime (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:54 +0000

kdepim-runtime (4:4.3.3-0ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - Keep versioned boost build-depends
    - Keep build-depend on libknotificationitem-dev rather than -1-dev
    - Keep kubuntu_01_akonadiconsole_to_system.diff
    - Replace/conflict old kdepim-runtime packages
    - kdepim-runtime depends on akonadi-server

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 18:45:28 -0500


