=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
 cdbs, debhelper (>= 7.3.16), quilt, cmake, pkg-kde-tools (>= 0.6.4),
 kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.85),
 libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0),
 libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.5)
Standards-Version: 3.8.4
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu

Package: kdepim-runtime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdepimlibs-kio-plugins, akonadi-server (>= 1.3)
Replaces: akonadi-kde, libmaildir4
Breaks: kdepimlibs5 (<< 4:4.4)
Description: Runtime components for akonadi-kde
 This package contains akonadi agents written using kdelibs.
 Any package that uses akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime-dbg
Section: debug
Priority: extra
Architecture: any
Replaces: kdepim-dbg
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debugging files for akonadi kde runtime components
 This package contains debugging symbols.
 .
 This package is part of the kdepim-runtime module.
