## kdepim-runtime 4.4.7

=== debian/changelog ===
kdepim-runtime (4:4.4.7-1) unstable; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Fri, 22 Oct 2010 21:41:43 +0300

kdepim-runtime (4:4.4.6-1) unstable; urgency=low

  * New upstream bugfix release.
  * Point debian/control Vcs fields to the new Git repository.
  * Fix a race between akonado_nepomuk_*_feeder_automoc and
    autogeneration of ontology headers (nie.h). (Closes: #596908)

 -- Modestas Vainius <modax@debian.org>  Sat, 18 Sep 2010 20:18:58 +0300

kdepim-runtime (4:4.4.5-1) unstable; urgency=low

  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

 -- Modestas Vainius <modax@debian.org>  Sun, 04 Jul 2010 19:00:52 +0300

kdepim-runtime (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop quilt-build-dep-but-no-series-file from lintian source overrides,
    it is no longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:17 +0300
