=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: kdepim-runtime
 Section: x11
 Priority: extra
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
- cdbs, debhelper (>= 7.3.16), quilt, cmake, pkg-kde-tools (>= 0.6.4),
- kdelibs5-dev (>= 4:4.5), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.85),
- libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0),
- libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.5)
+Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
+ cdbs, debhelper (>= 7.3), cmake, pkg-kde-tools (>= 0.9),
+ kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
+ libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost-dev (>= 1.40.0-2),
+ libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.8.4
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdepim-runtime/ubuntu
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdepim-runtime.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdepim-runtime.git
 
 Package: kdepim-runtime
 Architecture: any
