## kdepim-runtime 4.4.9

=== debian/changelog ===
kdepim-runtime (4:4.4.9-0ubuntu0.1) maverick-proposed; urgency=low

  * New upstream release per KDE microversion update exception (LP: #721269)
    - Fix so versions for building with KDE 4.5
    - Bump down kde-sc-dev-latest and kdelibs5-dev to 4.5.1 to build for maverick

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Feb 2011 12:45:11 -0500

kdepim-runtime (4:4.4.6-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable remaining changes:
    - Bump soname in kdepim-runtime.install
    - Keep versioned boost build-depends
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 03:32:44 +0200
