=== resources/maildir/CMakeLists.txt ===
--- 
+++ 
@@ -39,4 +39,4 @@
 
 install(TARGETS akonadi_maildir_resource ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Maildir.Settings.xml
-        DESTINATION ${KDE4_DBUS_INTERFACES_DIR})
+        DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})
