=== debian/changelog ===
kdepim-runtime (4:4.4.10-0ubuntu2) natty; urgency=low

  * Don't install the akonaditray desktop file anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 28 Feb 2011 22:26:56 +0100

kdepim-runtime (4:4.4.10-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Jan 2011 15:49:11 +0000

kdepim-runtime (4:4.4.9-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Wed, 22 Dec 2010 18:15:30 -0500

kdepim-runtime (4:4.4.8-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@ubuntu.com>  Mon, 06 Dec 2010 17:50:59 +0530

kdepim-runtime (4:4.4.7-0ubuntu2) natty; urgency=low

  * Bump so version to 4.6.0 in debian/kdepim-runtime.install for rebuild
    against KDE 4.6 kdepimlibs and new akonadi
  * Bump minimum version of kde-sc-dev-latest and kdepimlibs5-dev to 4:4.5.80

 -- Scott Kitterman <scott@kitterman.com>  Wed, 24 Nov 2010 19:48:13 -0500

kdepim-runtime (4:4.4.7-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 23 Oct 2010 20:23:11 +0200

kdepim-runtime (4:4.4.6-0ubuntu2) natty; urgency=low

  * Merge with Debian unstable remaining changes:
    - Bump soname in kdepim-runtime.install
    - Keep versioned boost build-depends
    - Build against kdelibs5-dev 4.5.2-0ubuntu1 for libkutils4 transition

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 03:32:44 +0200
