=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modax@debian.org>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.1),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.80),
  cdbs, debhelper (>= 7.3.16), cmake, pkg-kde-tools (>= 0.9),
- kdelibs5-dev (>= 4:4.5.1-0ubuntu1), kdepimlibs5-dev (>= 4:4.4), libakonadi-dev (>= 1.3.0),
+ kdelibs5-dev (>= 4:4.5.2-0ubuntu1), kdepimlibs5-dev (>= 4:4.5.80), libakonadi-dev (>= 1.4.1),
  libxml2-dev, xsltproc, libstrigiqtdbusclient-dev, libboost1.42-dev (>= 1.42.0-2),
  libstreamanalyzer-dev, shared-mime-info (>= 0.30), shared-desktop-ontologies (>= 0.2)
 Standards-Version: 3.8.4
