=== debian/changelog ===
kdepim-runtime (4:4.4.11.1-6) unstable; urgency=low

  * Team upload.
  * Do not install the nepomuk feeders. They fill the nepomuk database with
    data in ways that makes nepomuk queries amazingly slow. This came from
    a discussion with upstream (Closes: #696054).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 16 Dec 2012 13:11:35 -0300

kdepim-runtime (4:4.4.11.1-5) unstable; urgency=low

  * Add epoch to kdepim-runtime-dbg Breaks/Replaces on kdepim-dbg.
  * Make kdepim-runtime-dbg depend on kdepim-runtime.
  * Make kdepim-rumtime priority: optional since it is injected via shlibs into
    depends of many other optional packages.

 -- Modestas Vainius <modax@debian.org>  Sun, 24 Jun 2012 13:11:53 +0300

kdepim-runtime (4:4.4.11.1-4) unstable; urgency=low

  * Team upload.

  [ Michael Biebl ]
  * Hide akonaditray to not show up in the menu. (Closes: #613718)

  [ Pino Toscano ]
  * Override GENERIC_LIB_VERSION and KDE_NON_GENERIC_LIB_VERSION to not depend
    on the kdelibs version. (Closes: #665060)
  * Add Homepage in control.
  * Small touches to the descriptions.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 25 May 2012 14:33:17 +0200

kdepim-runtime (4:4.4.11.1-3) unstable; urgency=low

  [ Modestas Vainius ]
  * Version kdepim-dbg Breaks/Replaces. Otherwise, kdepim-runtime-dbg is not
    co-installable with kdepim-dbg.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Standards-Version. No changes required.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 26 Nov 2011 21:43:16 -0300

kdepim-runtime (4:4.4.11.1-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Thu, 26 May 2011 22:55:30 +0300

kdepim-runtime (4:4.4.11.1-1) experimental; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Update installed files.
  * Bump build dependencies:
    - kdelibs5-dev to 4:4.6
    - kdepimlibs5-dev  to 4:4.6
    - libakonadi-dev to 1.5.0
    - kde-sc-dev-latest to 4:4.6.2
  * Bump S-V to 3.9.1: add Breaks next to Replaces where needed.
  * Refresh patch.
  * Add debian/not-installed.
  * Add myself to Uploaders.

  [ Modestas Vainius ]
  * Add abort-on-upstream-changes to debian/source/local-options.
  * Switch debian/rules engine to dhmk qt-kde-team/2/*.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 27 Apr 2011 12:23:43 +0300
