=== debian/changelog ===
kdepim-runtime (4:4.7.2+git111007-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit 2271a28b

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Oct 2011 15:28:56 -0500

kdepim-runtime (4:4.7.2-0ubuntu1) oneiric; urgency=low

  * New upstream bugfix release
  * Auto start akonaditray by symlinking the desktop file to
    /usr/share/autostart

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 01 Oct 2011 23:42:23 +0530

kdepim-runtime (4:4.7.1+git110930-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit fec8aae3

 -- Scott Kitterman <scott@kitterman.com>  Fri, 30 Sep 2011 19:35:10 -0400

kdepim-runtime (4:4.7.1+git110927-0ubuntu1) oneiric; urgency=low

  * Update to KDE 4.7 branch head, commit 6b65ce45
    - Drop debian/patches/0001-Ignore-items-with-empty-remote-ids-here.patch
      as it's included in the updated snapshot

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Sep 2011 00:33:36 -0400

kdepim-runtime (4:4.7.1-0ubuntu3) oneiric; urgency=low

  * Add debian/patches/0001-Ignore-items-with-empty-remote-ids-here.patch
    cherry-picked from upstream to fix mail loss inducing problem with pop3
    connections

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Sep 2011 00:14:59 -0400

kdepim-runtime (4:4.7.1-0ubuntu2) oneiric; urgency=low

  * No-change rebuild so translations aren't stripped from .desktop
    files anymore.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 16 Sep 2011 00:47:16 +0200

kdepim-runtime (4:4.7.1-0ubuntu1) oneiric; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 03 Sep 2011 12:06:10 +0200

kdepim-runtime (4:4.7.0-0ubuntu1) oneiric; urgency=low

  * New upstrem release
    - update kdepim-runtime.install
    - Update Vcs lines for new branch location.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 22 Jul 2011 22:01:26 +0200

kdepim-runtime (4:4.6.0-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release
    - refresh fix_ontology_vs_feeder_automoc_race_condition.diff
    - update kdepim-runtime.install
    - kdepim-runtime-dbg Breaks/Replaces kdepim-dbg << 4:4.5.96

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 11 Jun 2011 14:00:20 +0200

kdepim-runtime (4:4.4.11.1-2ubuntu1) oneiric; urgency=low

  [ Jonathan Thomas ]
  * Merge with Debian Unstable, remaining changes:
    - Keep versioned boost build-depends
    - Do not install the akonaditray .desktop file

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 30 May 2011 18:52:18 -0400
